See Stacksync in action with a solution architect. Book a demo ↗
API proxies

API proxies

Delete an API proxy

DELETE
/v1/workspaces/{workspace_id}/api-proxy/{api_proxy_id}

Its tokens stop working.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace. List the ones your key can reach with GET /v1/workspaces.

api_proxy_id*string

The API proxy.

Formatuuid

Query Parameters

region*Regions

Region of the resource: besg (Europe) or usnv (United States), as GET /v1/regions lists them

Value in"besg""usnv"

Response Body

OK

application/json
  1. response
api_proxy_id*Api Proxy Id
Delete an API proxy
curl -X DELETE 'https://api.stacksync.com/v1/workspaces/0/api-proxy/497f6eca-6276-4993-bfeb-53cbbbba6f08?region=besg'
{  "api_proxy_id": "<api_proxy_id>"}